Subject: Re: bug#12193: 24.1.50; 24.1.50; Completion broken in revno 109116

From: Daiki Ueno <[email-masked]>
Date: Tue, 14 Aug 2012 12:19:17 +0900

Daiki Ueno <[email-masked]> writes:

> chad <[email-masked]> writes:
>
>> I'm still seeing the problem, but my recipe was off.  Try this instead:
>
> I can reproduce it and find it quite annoying.

Sorry, I missed the revno of the report so might be a different issue -
but the symptom looks quite similar to what I experience with the
current trunk.  FWIW, my recipe is:

1. emacs -Q in Emacs source tree
2. C-x C-f config. TAB
3. the main window splitted vertically to show the completion and the
   cursor jumps to the top window from the minibuffer window.

>> +  (when (window-live-p (nth 2 state))
>> +    (select-window (nth 2 state) 'norecord)))
>
> The last two (nth 2 state) should be (nth 1 state).

By fixing these, the problem disappears.

Regards,
-- 
Daiki Ueno